Bug 5307 - language searching fields
Summary: language searching fields
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) normal (vote)
Assignee: Ian Walls
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-14 16:40 UTC by Nicole C. Engard
Modified: 2012-10-25 23:09 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
patch (2.26 KB, patch)
2011-02-16 17:28 UTC, Nicole C. Engard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2010-10-14 16:40:38 UTC
The language values from the 008 and 041 fields are what's used to determine
the language for the item.  It does not differentiate between 041$a (the
current language) and 041$h (original language).

I think it should only search the 041$a because that's the language of the record you're searching for.
Comment 1 Nicole C. Engard 2011-02-16 17:28:01 UTC
Created attachment 3163 [details] [review]
patch
Comment 2 Chris Cormack 2011-02-16 20:28:54 UTC
Pushed, please test
Comment 3 MJ Ray (software.coop) 2011-03-06 15:43:37 UTC
This bug is mentioned in:
Bug 5307: Language search fields http://lists.koha-community.org/pipermail/koha-patches/2011-February/013876.html
Comment 4 Jared Camins-Esakov 2011-04-04 12:39:45 UTC
This does not seem to have been pushed. There is a branch for it at new/bug_5307, but the commit never made it into Master. Changing patch status back to "Signed off."
Comment 5 Chris Cormack 2011-04-04 22:06:28 UTC
Merged and pushed, please test